com.threerings.stage.tools.editor

## Class EditorTileManager

- java.lang.Object
- - com.threerings.media.tile.TileManager
  - - com.threerings.miso.tile.MisoTileManager
    - - com.threerings.stage.tools.editor.EditorTileManager

    public class EditorTileManager
    extends com.threerings.miso.tile.MisoTileManager

Extends the normal Miso Tile Manager to allow the use of a set of test tiles that can be used in the editor. These are loaded through the TestTileLoader.

### Constructor Summary

Constructors
Constructor and Description
`EditorTileManager(com.threerings.resource.ResourceManager rmgr, com.threerings.media.image.ImageManager imgr)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addTestTileSet(int id, com.threerings.media.tile.TileSet set)` Add a test tile set to search before normal tilesets.
`void` `clearTestTileSets()` Clear all of our existing test tile sets.
`com.threerings.media.tile.TileSet` `getTileSet(int tileSetId)`

### Methods inherited from class com.threerings.miso.tile.MisoTileManager

`getAutoFringer`

### Methods inherited from class com.threerings.media.tile.TileManager

`clearCache, getImageProvider, getTile, getTile, getTile, getTileSet, getTileSetRepository, loadTileSet, loadTileSet, loadTileSet, setTileSetRepository`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### EditorTileManager

    public EditorTileManager(com.threerings.resource.ResourceManager rmgr,
                             com.threerings.media.image.ImageManager imgr)

### Method Detail

#### getTileSet

    public com.threerings.media.tile.TileSet getTileSet(int tileSetId)
                                                 throws com.threerings.media.tile.NoSuchTileSetException

Overrides:
  `getTileSet` in class `com.threerings.media.tile.TileManager`
Throws:
  `com.threerings.media.tile.NoSuchTileSetException`

#### addTestTileSet

    public void addTestTileSet(int id,
                               com.threerings.media.tile.TileSet set)

Add a test tile set to search before normal tilesets.

#### clearTestTileSets

    public void clearTestTileSets()

Clear all of our existing test tile sets.